package repo

import (
	"egg-im/internal/logic/domain/group/model"
	"egg-im/pkg/db"
	"egg-im/pkg/gerrors"

	"github.com/jinzhu/gorm"
)

type groupNoticeDao struct{}

var GroupNoticeDao = new(groupNoticeDao)

// Get 获取群组公告信息
func (*groupNoticeDao) Get(groupId int64) (*model.GroupNotice, error) {
	var group = model.GroupNotice{GroupId: groupId}
	err := db.DB.First(&group).Error
	if err != nil && err != gorm.ErrRecordNotFound {
		return nil, gerrors.WrapError(err)
	}
	if err == gorm.ErrRecordNotFound {
		return nil, nil
	}
	return &group, nil
}

// Save 插入一条群组
func (*groupNoticeDao) Save(groupNotice *model.GroupNotice) error {
	err := db.DB.Save(&groupNotice).Error
	if err != nil {
		return gerrors.WrapError(err)
	}
	return nil
}
